View Issue Details

IDProjectCategoryView StatusLast Update
14511Bug reports[All Projects] Statisticspublic2019-07-15 11:41
ReporterroutardAssigned Tocdorin 
PrioritynoneSeveritytext 
Status assignedResolutionreopened 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14511: Equations or code in questions are visible on statistics
Description

Hi!
When there is some code or equation in a question, it appears in the statistics. For example, I have the question :

Do you need theses books in september {date('Y')}?
(because I have the same survey each year, and I need to display the current year a lot of times in many questions).

When someone fill the survey online, the question is OK : Do you need theses books in september 2019?
But when I want to export the statistics, the question is: Do you need theses books in september {date('Y')}? Which is not friendly and not convenient for those who export the statistics. Can you solve this bug?
Thanks!

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.15.8+190130
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database & DB-Versionmysqlnd 5.0.12-dev
Server OS (if known)Linux webm777.mp.ha.ovh.net 4.14.66-ovh-vps-grsec-zfs-classid #1 SMP Thu Aug 23 15:15:40 CEST 2018 x86_64
Webserver software & version (if known)Apache
PHP Version7.2.14

Activities

dominikvitt

dominikvitt

2019-02-11 17:49

developer   ~50505

This issue is fixed.
https://github.com/LimeSurvey/LimeSurvey/commit/7455462d3621f3f7a1b9e13a1fe6d3793f922b98

DenisChenu

DenisChenu

2019-02-11 19:58

developer   ~50508

Expression is more used to show information about current response.

Then if we replace Expression : we loose information : we can even have empty question text.

It's OK with fixed string like {date('Y')} or {SID} buit never with {Q01.shown} : become empty.

Else : @domikvitt : i just don't find it update something ? I test public stats and HTML/PDF/XLS stats



survey_archive_617599.lsa (4,516 bytes)
routard

routard

2019-03-13 11:00

reporter   ~50944

I don't see any change either with new update!
I ok with ur remark DenisChenu, but would it be possible to convert expressions containing only pure php expression - like date() - and not convert expressions that contain at least a previous answer - like {QO1.shown} ?

DenisChenu

DenisChenu

2019-03-13 12:15

developer   ~50946

@routard : really really complex to check if an expression make a "fixed" string or not …

Issue History

Date Modified Username Field Change
2019-02-08 19:14 routard New Issue
2019-02-11 17:44 dominikvitt Assigned To => dominikvitt
2019-02-11 17:44 dominikvitt Status new => assigned
2019-02-11 17:49 dominikvitt Status assigned => resolved
2019-02-11 17:49 dominikvitt Resolution open => fixed
2019-02-11 17:49 dominikvitt Fixed in Version => 3.15.x
2019-02-11 17:49 dominikvitt Note Added: 50505
2019-02-11 19:58 DenisChenu File Added: survey_archive_617599.lsa
2019-02-11 19:58 DenisChenu Note Added: 50508
2019-02-11 19:58 DenisChenu Status resolved => feedback
2019-02-11 19:58 DenisChenu Resolution fixed => reopened
2019-03-13 11:00 routard Note Added: 50944
2019-03-13 11:00 routard Status feedback => assigned
2019-03-13 12:15 DenisChenu Note Added: 50946
2019-07-15 11:41 dominikvitt Assigned To dominikvitt => cdorin